dojo.provide("parus.balanceIndexConsComparationTemplate");

dojo.require("dijit.Dialog");
dojo.require("dijit.form.Button");
dojo.require("dijit.form.TextBox");
dojo.require("dijit.form.ValidationTextBox");

dojo.require("parus.parus8");
dojo.require("parus.dialog");
dojo.require("parus.balanceIndexConsComparation");

dojo.declare("parus.balanceIndexConsComparationTemplate", [parus.Dialog], {

  postCreate: function() {
    this.inherited(arguments);
    this.nameEdit.attr("store", new parus.gridData({
      persistent: true,
      _data: parus.balanceIndexConsComparation.getTemplates(null, null)
    }));
    this.nameEdit.onChange = dojo.hitch(this, this.validate);
  }

});